Package io.github.jdbcx.dialect

# Class ClickHouseMapper

java.lang.Object
io.github.jdbcx.dialect.ClickHouseMapper

All Implemented Interfaces:
  `ResultMapper`

public class ClickHouseMapper extends Object implements ResultMapper

## Constructor Summary

Constructors
Constructor
Description
`ClickHouseMapper()`

## Method Summary

Modifier and Type
Method
Description
`String`
`quoteIdentifier(String name)`
`String`
`toColumnType(io.github.jdbcx.Field f)`
`String`
`toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.ResultMapper

`toColumnDefinition`

## Constructor Details

### ClickHouseMapper

public ClickHouseMapper()

## Method Details

### quoteIdentifier

public String quoteIdentifier(String name)

Specified by:
  `quoteIdentifier` in interface `ResultMapper`

### toColumnType

public String toColumnType(io.github.jdbcx.Field f)

Specified by:
  `toColumnType` in interface `ResultMapper`

### toRemoteTable

public String toRemoteTable(String url, io.github.jdbcx.Format format, io.github.jdbcx.Compression compress, io.github.jdbcx.Result<?> result)

Specified by:
  `toRemoteTable` in interface `ResultMapper`